<h1>Employee Details</h1>

<div class="container text-center">

    <button mat-button (click)="openDialog('Add',{})" mat-flat-button color="primary">Add Employee</button>
  
    <table mat-table [dataSource]="dataSource" #mytable class="my-table mat-elevation-z8">
  
      <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
      <!-- Id Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef> ID. </th>
        <td mat-cell *matCellDef="let element"> {{element.id}} </td>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
      </ng-container>

      <!-- age Column -->
      <ng-container matColumnDef="age">
        <th mat-header-cell *matHeaderCellDef> Age </th>
        <td mat-cell *matCellDef="let element"> {{element.age}} </td>
      </ng-container>

      <!-- address Column -->
      <ng-container matColumnDef="address">
        <th mat-header-cell *matHeaderCellDef> Address </th>
        <td mat-cell *matCellDef="let element"> {{element.address}} </td>
      </ng-container>
  
      <!-- Action Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef> Action </th>
        <td mat-cell *matCellDef="let element" class="action-link"> 
          <a (click)="openDialog('Update',element)">Edit</a> | 
          <a (click)="openDialog('Delete',element)">Delete</a>  
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  
  </div>